<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 3.2: If-Else</title>
<link href="sx6a.html" rev=precedes>
<link href="sx6c.html" rel=precedes>
<link href="sx6.html" rev=subdocument>
</head>
<body>
<H2>section 3.2: If-Else</H2>

<p>The syntax description here may seem to suggest
that <I>statement</I><tt>&lt;sub&gt;</tt>1<tt>&lt;/sub&gt;</tt> and <I>statement</I><tt>&lt;sub&gt;</tt>2<tt>&lt;/sub&gt;</tt>
must be single, simple statements,
but,
as mentioned
in section 3.1,
a block of statements enclosed in braces <TT>{}</TT>
is equivalent to a single statement.
</p><p>page 56
</p><p>``Coding shortcuts''
like
<pre>	if(expression)
</pre>can indeed be cryptic,
but they're also quite common,
so you'll need to be able to recognize them
even if you don't choose to write them in your own code.
Whenever you see code like
<pre>	if (x)
</pre>or
<pre>	if (f())
</pre>where <TT>x</TT> or <TT>f()</TT>
do not have obvious ``Boolean'' names,
just mentally add in
<TT>!= 0</TT>.
</p><p>Don't worry too much if the multiple <TT>if</TT>/<TT>else</TT> ambiguity
described on page 56
doesn't make perfect sense;
just note the deep sentence:
<blockquote>...it's a good idea to use braces when there are nested <TT>if</TT>s.
</blockquote></p><hr>
<p>
Read sequentially:
<a href="sx6a.html" rev=precedes>prev</a>
<a href="sx6c.html" rel=precedes>next</a>
<a href="sx6.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
